Skip to main content
PATCH
/
api
/
v1
/
vm
/
{vm_id}
/
disk
cURL
curl --request PATCH \
  --url https://api.example.com/api/v1/vm/{vm_id}/disk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fs_size_mib": 1
}
'
{
  "error": "<string>",
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vm_id
string<uuid>
required

VM ID whose disk to resize

Query Parameters

skip_wait_boot
boolean

If true, return an error immediately if the VM is still booting. Default: false

Body

application/json

Request body for PATCH /api/vm/{vm_id}/disk

fs_size_mib
integer<int32>
required

The new disk size in MiB. Must be strictly greater than the current size.

Required range: x >= 0

Response

VM disk resized successfully